
import { FastifyRequest } from 'fastify';
import { RouteGenericInterface } from 'fastify/types/route';
import { SessionKey } from '../security/session-key';
import { SessionData } from '../storage';

export type Req<T = RouteGenericInterface> = FastifyRequest<T> & {
	session?: {
		key: SessionKey;
		data: SessionData;
	};
};
